# server

Defines the list of HTTP server hostnames or IP addresses that omhttp connects to.

This parameter applies to omhttp: HTTP Output Module.

Name:

  server

Scope:

  input

Type:

  array

Default:

  input=localhost

Required?:

  no

Introduced:

  Not specified

## Description

The server address you want to connect to. Specify one or more entries to enable client-side load-balancing behavior provided by libcurl.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        server=["api1.example.net", "api2.example.net"]
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.